summaryrefslogtreecommitdiffstats
path: root/botan/src/build-data/botan-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'botan/src/build-data/botan-config.in')
-rw-r--r--botan/src/build-data/botan-config.in69
1 files changed, 69 insertions, 0 deletions
diff --git a/botan/src/build-data/botan-config.in b/botan/src/build-data/botan-config.in
new file mode 100644
index 0000000..f3fa3db
--- /dev/null
+++ b/botan/src/build-data/botan-config.in
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# For normal builds:
+guess_prefix=`dirname \`dirname $0\``
+includedir=%{includedir}
+libdir=%{libdir}
+
+# For workspace builds:
+#guess_prefix=`dirname $0`
+#includedir=build/include
+#libdir=
+
+install_prefix=%{prefix}
+prefix=
+
+usage()
+{
+ echo "$0 [--prefix[=DIR]] [--version] [--libs] [--cflags]"
+ exit 1
+}
+
+if test $# -eq 0; then
+ usage
+fi
+
+if test `echo $guess_prefix | cut -c 1` = "/"; then
+ prefix=$guess_prefix
+else
+ prefix=$install_prefix
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --version)
+ echo %{version}
+ exit 0
+ ;;
+ --cflags)
+ if [ $prefix != "/usr" -a $prefix != "/usr/local" ]
+ then
+ echo -I$prefix/$includedir
+ fi
+ ;;
+ --libs)
+ if [ $prefix != "/usr" -a $prefix != "/usr/local" ]
+ then
+ echo -L$prefix/$libdir -lbotan %{link_to}
+ else
+ echo -lbotan %{link_to}
+ fi
+ ;;
+ *)
+ usage
+ ;;
+ esac
+ shift
+done
+
+exit 0